// Persistence of Vision Raytracer
//---------- The Dormer....Toys in the attic..4/4/92 m. Miller
//
//  Original file by Mike Miller
//
//  Modified for POV-Ray version 3.x by
//  Colin Fleming, cj_fleming@btinternet.com
//
//---------- An Xtra Dormer

union {
  //------ginger bread cut
  object {
    difference {
      union {
        object { q1 translate y*114 }
        object { q1 translate <-9.5, 103.5, 0> }
        object { q1 translate <-19, 93, 0> }
        object { q1 translate <9.5, 103.5, 0> }
        object { q1 translate <19, 93, 0> }
      }
      object { q2 translate y*114 }
      object { q2 translate <-9.5, 103.5, 0> }
      object { q2 translate <-19, 93, 0> }
      object { q2 translate <9.5, 103.5, 0> }
      object { q2 translate <19, 93, 0> }
      box { -1, 1 rotate z*45 scale <15.4, 16.9, 20> translate y*90.2 }
      plane { z, -3.5 }
      plane { z, -1.5 inverse }
    }
    texture { 
      pigment { colour b_moss_green }
      finish { ambient 0.2 diffuse 0.7 phong 1 crand 0.03 }
    } 
    bounded_by { sphere { y*95, 30 } }
  }
  //------facade for ginger cut
  object {
    difference {
      box { -1, 1 rotate z*45 scale <23.6, 25.9, 1> translate <0, 91.7, -2> }
      object { q1 translate y*114 }
      object { q1 translate <-9.5, 103.5, 0> }
      object { q1 translate <-19, 93, 0> }
      object { q1 translate <9.5, 103.5, 0> }
      object { q1 translate <19, 93, 0> }
      box { -1, 1 rotate z*45 scale <15.4, 16.9, 20> translate y*90.2 }
      plane { y, 91 }
    }
    texture { 
      pigment { colour d_cream }
      finish { ambient 0.2 diffuse 0.7 phong 1.0}
    }
    bounded_by { sphere { y*95, 35 } }
  }
  //-------------- top peek molding
  object {
    difference {
      box { -1, 1 rotate z*45 scale <29, 31.9, 7.3> translate <0, 90, 1.7> }
      box { -1, 1 rotate z*45 scale <24.8, 27.3, 15> translate <0, 90, -3> }
      plane { y, 93 }
    }
    texture { 
      pigment { colour m_g_teal }
      finish { phong 1 ambient 0.2 diffuse 0.6 crand 0.01 }
    }
    bounded_by { sphere { y*95, 45 } }
  }
  //--------------- dentiles & peek headers
  object {
    union {
      box { -1, 1 scale <35, 1.5, 40.5> translate <0, 91.5, 35> }
      object { d1 translate <-20, 87.5, 2> }
      object { d1 translate <-12, 87.5, 2> }
      object { d1 translate <-4, 87.5, 2> }
      object { d1 translate <4, 87.5, 2> }
      object { d1 translate <12, 87.5, 2> }
      object { d1 translate <20, 87.5, 2> }
      box { -1, 1 scale <5, 8, 58.5> translate <-26, 82, 53> }
      box { -1, 1 scale <5, 8, 58.5> translate <26, 82, 53> }
      box { -1, 1 scale <3, 5, 48> translate <31, 85, 50> }
      box { -1, 1 scale <3, 5, 48> translate <-31, 85, 50> }
    }
    texture {
      pigment {
        gradient y
        colour_map {
          [0 0.15 colour warm_gold colour warm_gold]
          [0.15 0.25 colour tara_red colour tara_red]
          [0.25 0.35 colour warm_gold colour warm_gold]
          [0.35 0.8 colour m_g_teal colour m_g_teal]
          [0.8 1 colour tara_red colour toffe]
        }
      }
      finish { ambient 0.2 diffuse 0.8 phong 1 }
      scale <1000, 20, 1000>
      translate y*74
    }
    bounded_by { box { -1, 1 scale <38, 12, 63> translate <0, 83.7, 52> } }
  }
  //---------- inside wall in peek
  object {
    difference {
      box { -1, 1 rotate z*45 scale <24.8, 27.3, 1> translate <0, 90, 9> }
      plane { y, 91.5 }
    }
    texture { 
      pigment {
        gradient y
        colour_map { 
          [0 0.1 colour shadow_teal colour shadow_teal]
          [0.1 1.01 colour m_g_gray colour m_g_gray ]
        }
      }
      finish { crand 0.01 ambient 0.2 diffuse 0.8 phong 1 }
      scale <200, 5, 200>
      translate y*92
    }
  }
  //------------- peek roof
  object {
    difference {
      box { -1, 1 rotate z*45 scale <27.8, 30.85, 52> translate <0, 90.5, 61.5> }
      plane { y, 93.5 }
    }
    texture {
      pigment { colour d_warm_gray }
      finish { ambient 0.2 diffuse 0.8 phong 0.4 crand 0.01 }
    }
  }
  //------------ dormer front wall
  object {
    difference {
      box { -1, 1 scale <32, 42.5, 1> translate <0, 47.5, 10> }
      object { Cylinder_Z scale <20, 20, 1> translate y*60 }
      box { -1, 1 scale <20, 35, 5> translate <0, 25, 10> }
    }
    texture {
      pigment {
        gradient y
        colour_map {
          [0 0.099 colour shadow_teal colour shadow_teal]
          [0.099 1.01 colour m_g_gray colour m_g_gray ]
        }
      }
      finish { crand 0.03 ambient 0.2 diffuse 0.6 phong 1 }
      scale <200, 5, 200>
      translate y*5
    }
    bounded_by { box { -1, 1 scale <33, 44, 2> translate <0, 47.5, 10> } }
  }
  //----------- columns
  union {
    //-----------right column molding
    object {
      union {
        cylinder { y, -y, 1 scale <5, 3, 5> translate <26, 57, 7> }
        cylinder { y, -y, 1 scale <4.5, 3, 4.5> translate <26, 54, 7> }
        cylinder { y, -y, 1 scale 5 translate <26, 5, 7> }
      }
      texture { 
        pigment { colour b_moss_green }
        finish { crand 0.01 phong 1 phong_size 70 ambient 0.2 diffuse 0.6 }
      }
      bounded_by { cylinder { y, -y, 1 scale <6, 60, 6> translate <26, 3, 7> } }
    }
    //----------- right column
    cylinder { y, -y, 1 scale <4, 30, 4> translate <26, 20, 7>
      texture { 
        pigment {
          gradient y
          colour_map {
            [0 0.1 colour b_moss_green colour b_moss_green]
            [0.1 0.15 colour tara_red colour tara_red]
            [0.15 0.85 colour d_cream colour d_cream]
            [0.85 0.9 colour tara_red colour tara_red]
            [0.9 1.01 colour b_moss_green colour b_moss_green]
          }
        }
        finish { phong 1 phong_size 65 ambient 0.2 diffuse 0.6 }
        scale <10, 46, 10>
        translate y*9
      }
    }
    bounded_by { cylinder { y, -y, 1 scale <6, 60, 6> translate <26, 3, 7> } }
    //clipped_by { bounded_by }
    clipped_by { cylinder { y, -y, 1 scale <6, 60, 6> translate <26, 3, 7> } }
  }
  union {
    //-----------left column molding
    object {
      union {
        cylinder { y, -y, 1 scale <5, 3, 5> translate <-26, 57, 7> }
        cylinder { y, -y, 1 scale <4.5, 3, 4.5> translate <-26, 54, 7> }
        cylinder { y, -y, 1 scale 5 translate <-26, 5, 7> }
      }
      texture { 
        pigment { colour b_moss_green }
        finish { crand 0.01 phong 1 phong_size 70 ambient 0.2 diffuse 0.6 }
      }
      bounded_by { cylinder { y, -y, 1 scale <6, 60, 6> translate <-26, 3, 7> } }
    }
    //----------- left column
    cylinder { y, -y, 1 scale <4, 30, 4> translate <-26, 20, 7>
      texture { 
        pigment {
          gradient y
          colour_map {
            [0 0.1 colour b_moss_green colour b_moss_green]
            [0.1 0.15 colour tara_red colour tara_red]
            [0.15 0.85 colour d_cream colour d_cream]
            [0.85 0.9 colour tara_red colour tara_red]
            [0.9 1.01 colour b_moss_green colour b_moss_green]
          }
        }
        finish { phong 1 phong_size 65 ambient 0.2 diffuse 0.6 }
        scale <10, 46, 10>
        translate y*9
      }
    }
    bounded_by { cylinder { y, -y, 1 scale <6, 60, 6> translate <-26, 3, 7> } }
    //clipped_by { bounded_by }
    clipped_by { cylinder { y, -y, 1 scale <6, 60, 6> translate <-26, 3, 7> } }
  }
  //------------ arched door frame
  object {
    union {
      difference {
        union {
          cylinder { z, -z, 1 scale <20, 20, 1> translate <0, 60, 10> }
          box { -1, 1 scale <20, 30, 2> translate <0, 30, 10> }
        }
        object { Cylinder_Z scale <17, 17, 1> translate y*60 }
        box { -1, 1 scale <17, 30, 4> translate <0, 30, 10> }
      }
      box { -1, 1 scale <19, 1.5, 1> translate <0, 58.5, 10> }
      box { -1, 1 scale <1, 10, 1> translate <0, 69, 10> }
      box { -1, 1 scale <1, 10, 1> rotate z*45 translate <-6, 65, 10> }
      box { -1, 1 scale <1, 10, 1> rotate z*-45 translate <6, 65, 10> }
    }
    texture {
      pigment { colour d_cream }
      finish {ambient 0.2 diffuse 0.6 phong 1 crand 0.03 }
    }
    bounded_by { box { -1, 1 scale <22, 40, 6> translate <0, 42, 10> } }
    //clipped_by { bounded_by }
    clipped_by { box { -1, 1 scale <22, 40, 6> translate <0, 42, 10> } }
  }
  //--------- dormer side walls
  //---------right
  //box { -1, 1 scale <1, 42.5, 44> translate <31, 47.5, 53>
  box { -1, 1 scale <1, 80, 100> translate <31, 40, 130>
    texture { 
      pigment {
        gradient y
        colour_map {
          [0 0.099 colour shadow_teal colour shadow_teal]
          [0.099 1.01 colour m_g_gray colour m_g_gray ]
        }
      }
      finish { crand 0.03 ambient 0.2 diffuse 0.6 phong 1 }
      scale <200, 5, 200>
      translate y*5
    }
  }
  //---------left
  box { -1, 1 scale <1, 42.5, 44> translate <-31, 47.5, 53>
    texture { 
      pigment {
        gradient y
        colour_map {
          [0 0.099 colour shadow_teal colour shadow_teal]
          [0.099 1.01 colour m_g_gray colour m_g_gray ]
        }
      }
      finish { crand 0.03 ambient 0.2 diffuse 0.6 phong 1 }
      scale <200, 5, 200>
      translate y*5
    }
  }
  //---------- dormer sill & truss
  object {
    union {
      box { -1, 1 scale <7, 2.5, 46> translate <26, 2.5, 44> }
      box { -1, 1 scale <7, 2.5, 46> translate <-26, 2.5, 44> }
      box { -1, 1 scale <6, 2, 6> translate <26, -2, 7> }
      box { -1, 1 scale <6, 2, 6> translate <-26, -2, 7> }
      box { -1, 1 scale <20, 2.5, 5> translate <0, 2.5, 12> }
    }
    texture {
      pigment {
        gradient y
        colour_map {
          [0 0.1 colour b_moss_green colour b_moss_green]
          [0.1 0.15 colour tara_red colour tara_red]
          [0.15 0.85 colour d_cream colour d_cream]
          [0.85 0.9 colour tara_red colour tara_red]
          [0.9 1.01 colour b_moss_green colour b_moss_green]
        }
      }
      finish { phong 1 phong_size 65 ambient 0.2 diffuse 0.6 }
      scale <100, 13, 100>
      translate y*-12.5
    }
    bounded_by { box { -1, 1 scale <35, 10, 60> translate <0, -3, 50> } }
  }
  //--------- dormer testicals
  object {
    union {
      sphere { <26, -8, 7>, 4.5 }
      sphere { <-26, -8, 7>, 4.5 }
    }
    texture {
      pigment { colour b_moss_green }
      finish { ambient 0.2 diffuse 0.7 phong 1 }
    }
  }
  object { turns translate <-28, 61, 0> }
  object { turns translate <24, 61, 0> }
  translate x*-120
  rotate y*-38
}